<!DOCTYPE html>
<html lang="de">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <title>AnuaRadio - AutoDJ Manager</title>
    <!-- MDB icon -->
    <link rel="icon" href="../img/shoutcast.jpg" type="image/x-icon" />
    <!-- Font Awesome -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
    />
    <!-- Google Fonts Roboto -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap"
    />
    <!-- MDB -->
    <link rel="stylesheet" href="../css/mdb.min.css" />
  </head>


  <?php require_once('../../db/db_sql.php');
  require_once('../../config.php');
$valid_passwords = array ("anuacp" => "$Login_Code");
$valid_users = array_keys($valid_passwords);

$user = $_SERVER['PHP_AUTH_USER'];
$pass = $_SERVER['PHP_AUTH_PW'];

$validated = (in_array($user, $valid_users)) && ($pass == $valid_passwords[$user]);

if (!$validated) {
  header('WWW-Authenticate: Basic realm="My Realm"');
  header('HTTP/1.0 401 Unauthorized');
  die ("Not authorized");
}


  ?>


    <?php

        if (isset($_GET['add_instance'])) {



            shell_exec("cd ../../scripts; ./manager_autodj.sh ".$_POST['streamerport']." ".$_POST['streamerpw']." ".$_POST['title']." ".$_POST['url']." ".$_POST['genre']."");

            $statement = $conn->prepare('INSERT INTO autodj (id, stream_port, stream_password, stream_title, stream_url, genre)
                VALUES (?, ?, ?, ?, ?, ?)');

              $gen_id = rand(100, 890342482);

            $statement->execute([$gen_id , $_POST['streamerport'], $_POST['streamerpw'], $_POST['title'], $_POST['url'], $_POST['genre']]);

            header('refresh: 1; url=../autodj');

          
        }

      ?>


<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-light bg-white">
  <!-- Container wrapper -->
  <div class="container-fluid">
    <!-- Toggle button -->
    <button
      class="navbar-toggler"
      type="button"
      data-mdb-toggle="collapse"
      data-mdb-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <i class="fas fa-bars"></i>
    </button>

    <!-- Collapsible wrapper -->
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <!-- Navbar brand -->
      <a class="navbar-brand rounded mt-2 mt-lg-0" href="#">
        <img
          src="../img/R.jpg"
          height="15"
          alt="AnuaCP"
          loading="lazy"
        />
      </a>
      <!-- Left links -->
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link" href="../dashboard">Dashboard</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="../shoutcast">Shoutcast Manager</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="../autodj">AutoDJ Manager</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="../upload">Musik hochladen</a>
        </li>
      </ul>
      <!-- Left links -->
    </div>
    <!-- Collapsible wrapper -->

    
        </ul>
      </div>
    </div>
    <!-- Right elements -->
  </div>
  <!-- Container wrapper -->
</nav>
<!-- Navbar -->



  <body class="bg-image"
  style="
    background-image: url('../img/gar.jpg');
    height: 100vh;
    background-repeat: no-repeat;
    background-position: center top;
    overflow: scroll;
    background-attachment:scroll;
    width: 100%; 
    height: 100%; 
    left: 0px; 
    top: 0px; 
    z-index: -1;
  ">

    <hr style="height: 50px; background-color: transparent;"/>
    <!-- Start your project here-->


    <!-- Add Shoutcast Instances here -->
<form action="../autodj?add_instance=1" method="post">
    <div class="container card bg-white col-lg-12 mb-4">
        <div class="row">
          <h1 class="text-center">AUTODJ SERVER ERSTELLEN</h1>
        <hr style="height: 100px; background-color: transparent;"/>
    <div class="row">
  <div class="col">
    <!-- Name input -->
    <div class="form-outline">
      <input type="text" name="streamerport" id="form8Example1" class="form-control" />
      <label class="form-label" for="form8Example1">Stream Port</label>
    </div>
  </div>
  
</div>
<div class="row">
  
  <div class="col-12">
    <!-- Name input -->
    <div class="form-outline">
      <input type="text" name="streamerpw" id="form8Example4" class="form-control" />
      <label class="form-label" for="form8Example4">Stream Passwort</label>
    </div>
  </div>

  <div class="col-12">
    <!-- Name input -->
    <div class="form-outline">
      <input type="text" name="title" id="form8Example4" class="form-control" />
      <label class="form-label" for="form8Example4">Stream Title</label>
    </div>
  </div>
  
  <div class="col-12">
    <!-- Name input -->
    <div class="form-outline">
      <input type="text" name="url" id="form8Example4" class="form-control" />
      <label class="form-label" for="form8Example4">Stream URL</label>
    </div>
  </div>

  <div class="col-12">
    <!-- Name input -->
    <div class="form-outline">
      <input type="text" name="genre" id="form8Example4" class="form-control" />
      <label class="form-label" for="form8Example4">Musikrichtung</label>
    </div>
  </div>

</div>
<hr style="height: 10px; background-color: transparent;"/>
<button class="btn btn-primary btn-lg active" type="submit" role="button" aria-pressed="true">AUTODJ ERSTELLEN</button>
        </div>
    </div>
          </form>

    <!-- Shoutcast Instances -->

    <?php 
    
    if (isset($_GET['action'])) {

        if (isset($_POST['start'])) {

          $var_port = $_POST['port'];

          shell_exec("bash /home/RawAutoDJ/AutoDJ-StreamPort-$var_port/run_autodj.sh $var_port");

        }

        if (isset($_POST['stop'])) {

          $var_port = $_POST['port'];

          shell_exec("bash /home/RawAutoDJ/AutoDJ-StreamPort-$var_port/stop_autodj.sh $var_port");
          
        }

        if (isset($_POST['delete'])) {

          $var_port = $_POST['port'];
          
          shell_exec("bash /home/RawAutoDJ/AutoDJ-StreamPort-$var_port/delete_autodj.sh $var_port");

          // sql to delete a record
          $sql = "DELETE FROM `autodj` WHERE `id` = ".$_POST['delete']."";

          // use exec() because no results are returned
          $conn->exec($sql);

          header('refresh: 1; url=../autodj');

        }

    }
    
    ?>


<div class="container" style="position: algin-center;
   height: auto;">
        <div class="row">
        <div class="col-lg-12 mb-4 d-flex justify-content-center" style="float: right;">
    <table class="table align-middle mb-0 bg-white">
  <thead class="bg-light">
    <tr>
      <th>#</th>
      <th>STREAM PORT</th>
      <th>STREAM PASSWORT</th>
      <th>STREAM Titel</th>
      <th>STREAM URL</th>
      <th>Musikrichtung</th>
      <th>Starten</th>
      <th>Stoppen</th>
      <th>Löschen</th>
    </tr>
  </thead>
  <tbody>

<?php 

$sth = $conn->prepare("SELECT * FROM autodj");
$sth->execute();  

?>

<?php while ($row = $sth->fetch(PDO::FETCH_ASSOC)): ?>
  <tr>
  <td>
    <div class="d-flex align-items-center">
      <img
          src="../img/shoutcast.jpg"
          alt=""
          style="width: 45px; height: 45px"
          class="rounded-circle"
          />
      <div class="ms-3">
        <p class="fw-bold mb-1"><?= $row['id'] ?></p>
      </div>
    </div>
  </td>
 
  <td>
  <?php
  $host = '127.0.0.1'; 
  $port = $row['stream_port']; 
  $waitTimeoutInSeconds = 1; 
  if($fp = fsockopen($host,$port,$errCode,$errStr,$waitTimeoutInSeconds)){   
    // It worked 
    echo '<span class="badge badge-success rounded-pill d-inline">'.$row['stream_port'].'</span>';
  } else {
    // It didn't work 
    echo '<span class="badge badge-danger rounded-pill d-inline">'.$row['stream_port'].'</span>';
  } 
  fclose($fp);

  ?>
  </td>
  <td><?= $row['stream_password'] ?></td>

  <td><?= $row['stream_title'] ?></td>

  <td><?= $row['stream_url'] ?></td>

  <td><?= $row['genre'] ?></td>

  <form action="../autodj?action=1" method="post">
  <td>
  <button type="submit" name="start" value="<?= $row['id'] ?>" class="btn btn-success btn-floating">
  <i class="fas fa-play"></i>
  </button>
  </td>

  <td>
    
  <button type="submit" name="stop" value="<?= $row['id'] ?>" class="btn btn-danger btn-floating">
  <i class="fas fa-stop"></i>
  </button></td>

  <td>  
  <button type="submit" name="delete" value="<?= $row['id'] ?>" class="btn btn-warning btn-floating">
  <i class="fas fa-ban"></i>
  </button>

  <input type="hidden" name="port" value="<?= $row['stream_port'] ?>"/>

</td>
</form>
</tr>
</tr>
  <?php endwhile; ?>
  </tbody>
</table>
        </div>



    <!-- End your project here-->

    <!-- MDB -->
    <script type="text/javascript" src="../js/mdb.min.js"></script>
    <!-- Custom scripts -->
    <script type="text/javascript"></script>
  </body>
</html>
