<!DOCTYPE html>
<html lang="de">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <title>AnuaRadio - Dashboard</title>
    <!-- MDB icon -->
    <link rel="icon" href="../img/shoutcast.jpg" type="image/x-icon" />
    <!-- Font Awesome -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
    />
    <!-- Google Fonts Roboto -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap"
    />
    <!-- MDB -->
    <link rel="stylesheet" href="../css/mdb.min.css" />
  </head>


  <?php require_once('../../db/db_sql.php'); 
  
  require_once('../../config.php');
  
$valid_passwords = array ("anuacp" => "$Login_Code");
$valid_users = array_keys($valid_passwords);
$user = $_SERVER['PHP_AUTH_USER'];
$pass = $_SERVER['PHP_AUTH_PW'];

$validated = (in_array($user, $valid_users)) && ($pass == $valid_passwords[$user]);

if (!$validated) {
  header('WWW-Authenticate: Basic realm="My Realm"');
  header('HTTP/1.0 401 Unauthorized');
  die ("Not authorized");
}

  ?>


<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-light bg-white">
  <!-- Container wrapper -->
  <div class="container-fluid">
    <!-- Toggle button -->
    <button
      class="navbar-toggler"
      type="button"
      data-mdb-toggle="collapse"
      data-mdb-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <i class="fas fa-bars"></i>
    </button>

    <!-- Collapsible wrapper -->
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <!-- Navbar brand -->
      <a class="navbar-brand rounded mt-2 mt-lg-0" href="#">
        <img
          src="../img/R.jpg"
          height="15"
          alt="AnuaCP"
          loading="lazy"
        />
      </a>
      <!-- Left links -->
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link" href="../dashboard">Dashboard</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="../shoutcast">Shoutcast Manager</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="../autodj">AutoDJ Manager</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="../upload">Musik hochladen</a>
        </li>
      </ul>
      <!-- Left links -->
    </div>
    <!-- Collapsible wrapper -->

    
        </ul>
      </div>
    </div>
    <!-- Right elements -->
  </div>
  <!-- Container wrapper -->
</nav>
<!-- Navbar -->



  <body class="bg-image"
  style="
    background-image: url('../img/gar.jpg');
    height: 100vh;
    background-repeat: no-repeat;
    background-position: center top;
    overflow: scroll;
    background-attachment:scroll;
    width: 100%; 
    height: 100%; 
    left: 0px; 
    top: 0px; 
    z-index: -1;
  ">

    <hr style="height: 100px; background-color: transparent;"/>
    <!-- Start your project here-->


    <h1 class="text-white text-center">Alle Instanzen im Überblick: </h1>


    <!-- Shoutcast Instances -->

<div class="container">
        <div class="row">
        <div class="col-lg-12 mb-4" style="float: right;">
    <table class="table align-middle mb-0 bg-white">
  <thead class="bg-light">
    <tr>
      <th>#</th>
      <th>Instanz Name</th>
      <th>Stream Port</th>
      <th>Admin Passwort</th>
      <th>Streamer Passwort</th>
      <th>Aktionen</th>
    </tr>
  </thead>
  <tbody>

    <?php 
    
    $sth = $conn->prepare("SELECT * FROM streams");
    $sth->execute();  

    ?>

    <?php while ($row = $sth->fetch(PDO::FETCH_ASSOC)): ?>
      <tr>
      <td>
        <div class="d-flex align-items-center">
          <img
              src="../img/shoutcast.jpg"
              alt=""
              style="width: 45px; height: 45px"
              class="rounded-circle"
              />
          <div class="ms-3">
            <p class="fw-bold mb-1"><?= $row['id'] ?></p>
          </div>
        </div>
      </td>
      <td>
        <p class="fw-normal mb-1"><?= $row['instance_name'] ?></p>
      </td>
      <td>
      <?php
      $host = '127.0.0.1'; 
      $port = $row['instance_port']; 
      $waitTimeoutInSeconds = 1; 
      if($fp = fsockopen($host,$port,$errCode,$errStr,$waitTimeoutInSeconds)){   
        // It worked 
        echo '<span class="badge badge-success rounded-pill d-inline">'.$row['instance_port'].'</span>';
      } else {
        // It didn't work 
        echo '<span class="badge badge-danger rounded-pill d-inline">'.$row['instance_port'].'</span>';
      } 
      fclose($fp);

      ?>
      </td>
      <td><?= $row['admin_password'] ?></td>

      <td><?= $row['stream_password'] ?></td>
      <td>
        <button type="button" class="btn btn-link btn-sm btn-rounded">
          Settings
        </button>
      </td>
          
      </tr>
      <?php endwhile; ?>
  </tbody>
</table>
        </div>

<!-- AutoDJ Instances -->
<div class="container">
        <div class="row">
        <div class="col-lg-12 mb-4" style="float: right;">
    <table class="table align-middle mb-0 bg-white">
  <thead class="bg-light">
    <tr>
      <th>#</th>
      <th>STREAM PORT</th>
      <th>STREAM PASSWORT</th>
      <th>STREAM Titel</th>
      <th>STREAM URL</th>
      <th>Musikrichtung</th>
      <th>Aktionen</th>
    </tr>
  </thead>
  <tbody>

<?php 

$sth = $conn->prepare("SELECT * FROM autodj");
$sth->execute();  

?>

<?php while ($row = $sth->fetch(PDO::FETCH_ASSOC)): ?>
  <tr>
  <td>
    <div class="d-flex align-items-center">
      <img
          src="../img/shoutcast.jpg"
          alt=""
          style="width: 45px; height: 45px"
          class="rounded-circle"
          />
      <div class="ms-3">
        <p class="fw-bold mb-1"><?= $row['id'] ?></p>
      </div>
    </div>
  </td>
 
  <td>
  <?php
  $host = '127.0.0.1'; 
  $port = $row['stream_port']; 
  $waitTimeoutInSeconds = 1; 
  if($fp = fsockopen($host,$port,$errCode,$errStr,$waitTimeoutInSeconds)){   
    // It worked 
    echo '<span class="badge badge-success rounded-pill d-inline">'.$row['stream_port'].'</span>';
  } else {
    // It didn't work 
    echo '<span class="badge badge-danger rounded-pill d-inline">'.$row['stream_port'].'</span>';
  } 
  fclose($fp);

  ?>
  </td>
  <td><?= $row['stream_password'] ?></td>

  <td><?= $row['stream_title'] ?></td>

  <td><?= $row['stream_url'] ?></td>

  <td><?= $row['genre'] ?></td>

  <td>
    <button type="button" class="btn btn-link btn-sm btn-rounded">
      Settings
    </button>
  </td>
</tr>
  <?php endwhile; ?>
  </tbody>
</table>
        </div>

</div>
</div>



    <!-- End your project here-->

    <!-- MDB -->
    <script type="text/javascript" src="../js/mdb.min.js"></script>
    <!-- Custom scripts -->
    <script type="text/javascript"></script>
  </body>
</html>
