#!/bin/bash


if [ -z "$1" ] ||[ -z "$2" ] ||[ -z "$3" ] ||[ -z "$4" ] ||[ -z "$5" ]
then
echo "Script coded by RAW Networks"
sleep 3
echo " [Stream Port] [Stream Passwort] [Stream Title] [ Stream URL ] [Musikrichtung]"
exit 0
fi


mkdir /home/RawAutoDJ
    clear
    clear
    cd /home/RawAutoDJ
    apt-get install unzip -y
    mkdir AutoDJ-StreamPort-$1
    cd AutoDJ-StreamPort-$1
    wget --no-check-certificate https://cdn.anuacp.de/anuaradio/download/sc_trans.zip
    wget --no-check-certificate https://cdn.anuacp.de/anuaradio/download/run_autodj.sh
    wget --no-check-certificate https://cdn.anuacp.de/anuaradio/download/stop_autodj.sh
    wget --no-check-certificate https://cdn.anuacp.de/anuaradio/download/delete_autodj.sh
    clear
    clear
    unzip sc_trans.zip

     echo "
encoder_1=mp3

; RAW Networks
; Logging
; ----------------------------------------
logfile=sc_trans.log

configrewrite=0
calendarrewrite=0

; Playlisten
; ----------------------------------------
playlistfile=/home/RawAutoDJ/AutoDJ-StreamPort-$1/main.lst
shuffle=1
xfade=5
xfadethreshold=10

calendarfile=calendar/dj_calendar.xml

; Streamserver 1 (320kbps AAC Stream)
; ----------------------------------------
endpointname_1=stream
encoder_1=aacp
bitrate_1=320000
samplerate_1=48000
channels_1=2


outprotocol_1=1
serverip_1=0.0.0.0
serverport_1=$1
password_1=$2
streamid_1=1



; Stream Metadaten
; ----------------------------------------
streamtitle=$3
streamurl=$4
genre=$5
public=1
usemetadata=1
nextlookahead=0" > sc_trans_basic.conf


    mv sc_trans AutoDJ-StreamPort-$1
    chmod 777 AutoDJ-StreamPort-$1
    mkdir -p /home/RawAutoDJ/AutoDJ-StreamPort-$1/PLAYLIST
    chmod 777 /home/RawAutoDJ/AutoDJ-StreamPort-$1/PLAYLIST
    chmod 777 run_autodj.sh
    chmod 777 stop_autodj.sh
    chmod 777 delete_autodj.sh

clear
clear
clear