<!DOCTYPE html>
<html lang="de">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <title>AnuaRadio - Upload files to AutoDJ</title>
    <!-- MDB icon -->
    <link rel="icon" href="../img/shoutcast.jpg" type="image/x-icon" />
    <!-- Font Awesome -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
    />
    <!-- Google Fonts Roboto -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap"
    />
    <!-- MDB -->
    <link rel="stylesheet" href="../css/mdb.min.css" />
  </head>


  <?php require_once('../../db/db_sql.php'); 
  
  require_once('../../config.php');
  
$valid_passwords = array ("anuacp" => "$Login_Code");
$valid_users = array_keys($valid_passwords);
$user = $_SERVER['PHP_AUTH_USER'];
$pass = $_SERVER['PHP_AUTH_PW'];

$validated = (in_array($user, $valid_users)) && ($pass == $valid_passwords[$user]);

if (!$validated) {
  header('WWW-Authenticate: Basic realm="My Realm"');
  header('HTTP/1.0 401 Unauthorized');
  die ("Not authorized");
}

  ?>

  <?php
  // php upload classes

  require_once('../classes/class.uploader.php');

  ?>


<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-light bg-white">
  <!-- Container wrapper -->
  <div class="container-fluid">
    <!-- Toggle button -->
    <button
      class="navbar-toggler"
      type="button"
      data-mdb-toggle="collapse"
      data-mdb-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <i class="fas fa-bars"></i>
    </button>

    <!-- Collapsible wrapper -->
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <!-- Navbar brand -->
      <a class="navbar-brand rounded mt-2 mt-lg-0" href="#">
        <img
          src="../img/R.jpg"
          height="15"
          alt="AnuaCP"
          loading="lazy"
        />
      </a>
      <!-- Left links -->
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link" href="../dashboard">Dashboard</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="../shoutcast">Shoutcast Manager</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="../autodj">AutoDJ Manager</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="../upload">Musik hochladen</a>
        </li>
      </ul>
      <!-- Left links -->
    </div>
    <!-- Collapsible wrapper -->

    
        </ul>
      </div>
    </div>
    <!-- Right elements -->
  </div>
  <!-- Container wrapper -->
</nav>
<!-- Navbar -->

<?php if (isset($_GET['add_upload'])): ?>

  <body class="bg-image"
  style="
    background-image: url('../img/gar.jpg');
    height: 100vh;
    background-repeat: no-repeat;
    background-position: center top;
    overflow: scroll;
    background-attachment:scroll;
    width: 100%; 
    height: 100%; 
    left: 0px; 
    top: 0px; 
    z-index: -1;
  ">

    <hr style="height: 100px; background-color: transparent;"/>
    <!-- Start your project here-->


    <h1 class="text-white text-center">Musikdateien hochladen: </h1>
    <div class="d-flex justify-content-center">
    <b class="text-white text-center">Bitte lade hier nur .zip Formate hoch. Im Zip Archiv kannst Du ganz einfach deine .mp3 Dateien einpacken und hier hochladen. Bitte auch nur im .zip Archiv, .mp3 Dateien nutzen und hochladen.</b>
    </div>

    <!-- Shoutcast Instances -->

    <?php

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  if (isset($_FILES['fileToUpload'])) {
       if ($_FILES['fileToUpload']['error'] === UPLOAD_ERR_OK) {
        echo '<div class="alert alert-success" role="alert">
        Die Datei wurde erfolgreich hochalden und wird jetzt synchonisiert.
      </div>';
        move_uploaded_file(
          $_FILES["fileToUpload"]["tmp_name"],
          'uploads/' . $_FILES["fileToUpload"]["name"]
        );

        shell_exec("cd ../../scripts; bash autodj_music_playlist.sh ".$_POST['uploadtodj']." ".$_FILES["fileToUpload"]["name"]."");

       } else {
        echo '<div class="alert alert-success" role="alert">
        Hochladen fehlgeschlagen!
      </div>';
       }
      }
    }
    ?>


<div class="container col-4">
        <div class="row">
          <form method="post" enctype="multipart/form-data" action="">
        <hr style="height: 15px; background-color: transparent;"/>
        <div class="d-flex justify-content-center">
        <input  class="form-control" type="file" accept=".zip" name="fileToUpload" id="fileToUpload">
        </div>
        <hr style="height: 15px; background-color: transparent;"/>
        <div class="d-flex justify-content-center">
          <input type="hidden" name="uploadtodj" value="<?= $_POST['uploadtodj'] ?>">
        <button type="submit" value="Upload Image" name="submit" class="btn btn-primary">Uploads File(s)</button>
        </div>
      </form>

        </form>
        </div>
</div>
        <!-- End your project here-->

    <!-- MDB -->
    <script type="text/javascript" src="../js/mdb.min.js"></script>
    <!-- Custom scripts -->
    <script type="text/javascript"></script>
  </body>

  <?php else: ?>

  <body class="bg-image"
  style="
    background-image: url('../img/gar.jpg');
    height: 100vh;
    background-repeat: no-repeat;
    background-position: center top;
    overflow: scroll;
    background-attachment:scroll;
    width: 100%; 
    height: 100%; 
    left: 0px; 
    top: 0px; 
    z-index: -1;
  ">

    <hr style="height: 100px; background-color: transparent;"/>
    <!-- Start your project here-->


    <h1 class="text-white text-center">Musikdateien hochladen: </h1>
    <div class="d-flex justify-content-center">
    <b class="text-white text-center">Bitte lade hier nur .zip Formate hoch. Im Zip Archiv kannst Du ganz einfach deine .mp3 Dateien einpacken und hier hochladen. Bitte auch nur im .zip Archiv, .mp3 Dateien nutzen und hochladen.</b>
    </div>
    <!-- Shoutcast Instances -->

<div class="container col-4">
        <div class="row">
          <form action="../upload?add_upload=1" method="post">
  <select class="form-select" name="uploadtodj" aria-label="Select AutoDJ">
  <option>Select AutoDJ</option>
  <?php 
    
    $sth = $conn->prepare("SELECT * FROM autodj");
    $sth->execute();  

    ?>

    <?php while ($row = $sth->fetch(PDO::FETCH_ASSOC)): ?>

  <option value="<?= $row['stream_port'] ?>"><?= ' AutoDJ Title: ' . $row['stream_title'] . ' - Listen on Stream Port: ' . $row['stream_port']?></option>

  <?php endwhile; ?>

</select>
<hr style="height: 15px; background-color: transparent;"/>
<div class="d-flex justify-content-center">
<button type="submit" class="btn btn-primary btn-floating">
  <i class="fas fa-upload"></i>
</button>
</div>

          </form>
      </div>
</div>
        <!-- End your project here-->

    <!-- MDB -->
    <script type="text/javascript" src="../js/mdb.min.js"></script>
    <!-- Custom scripts -->
    <script type="text/javascript"></script>
  </body>

  <?php endif; ?>

</html>
